Summary:	GNOME Disk Usage Analyzer
Summary(pl.UTF-8):	Analizator wykorzystania dysku dla GNOME
Name:		baobab
Version:	3.38.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/baobab/3.38/%{name}-%{version}.tar.xz
# Source0-md5:	b69c1e9e4711d15367b894f63d2081e8
Patch0:		%{name}-desktop.patch
URL:		https://wiki.gnome.org/Apps/DiskUsageAnalyzer
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.44
BuildRequires:	gtk+3-devel >= 3.20.0
BuildRequires:	meson >= 0.50.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	rpmbuild(find_lang) >= 1.35
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.38.0.11
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.44
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.44
Requires:	gtk+3 >= 3.20.0
Requires:	hicolor-icon-theme
Provides:	gnome-utils-baobab = 1:%{version}-%{release}
Obsoletes:	gnome-utils-baobab < 1:3.3.2-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Baobab is a simple application which can scan either specific folders
(local or remote) or volumes and give a graphical representation
including each directory size or percentage in the branch. It also
auto-detects any mounted/unmounted device.

%description -l pl.UTF-8
Baobab to prosta aplikacja, która potrafi przeszukać określone
katalogi (lokalne lub zdalne) lub wolumeny i podać graficzną
reprezentację rozmiaru każdego katalogu lub jego udziału procentowego
w gałęzi. Wykrywa także dowolne zamontowane/odmontowane urządzenia.

%prep
%setup -q
%patch0 -p1

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/baobab
%{_datadir}/dbus-1/services/org.gnome.baobab.service
%{_datadir}/glib-2.0/schemas/org.gnome.baobab.gschema.xml
%{_datadir}/metainfo/org.gnome.baobab.appdata.xml
%{_desktopdir}/org.gnome.baobab.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.baobab.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.baobab.Devel.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.baobab-symbolic.svg
%{_mandir}/man1/baobab.1*
%changelog
* Sun Sep 13 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/baobab.git;a=log;h=master

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> e81dcd5
- updated to 3.38.0

* Sun Jun 28 2020 Jakub Bogusz <qboosh@pld-linux.org> 557d064
- updated to 3.34.1

* Thu Oct 31 2019 Jakub Bogusz <qboosh@pld-linux.org> 6bc30cf
- updated to 3.34.0

* Sun Jan 27 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 02edaa6
- Updated to 3.30.0

* Tue Oct 24 2017 Marcin Banasiak <marcin.banasiak@gmail.com> eca80c9
- Update to 3.26.1

* Wed Mar 29 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 7959047
- Update to 3.24.0

* Tue Dec 27 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 6cae16b
- Update to 3.22.1

* Sun Jul 31 2016 Jakub Bogusz <qboosh@pld-linux.org> 1471763
- updated gtk+3 version

* Thu Jul 28 2016 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 86aa38d
- updated to 3.20.1

* Sat Nov 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 98f2196
- updated to 3.18.1

* Fri Aug 28 2015 Łukasz Kieś <kiesiu@pld-linux.org> d3e9a2b
- updated to 3.16.1

* Mon Mar 30 2015 Łukasz Kieś <kiesiu@pld-linux.org> b1f3a1b
- updated to 3.16.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> a9f7376
- updated gettext BR

* Sun Nov 02 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 3f4f53f
- Update to 3.14.1

* Thu Apr 24 2014 Elan Ruusamäe <glen@delfi.ee> 41024d4
- use existing url

* Wed Apr 23 2014 Łukasz Kieś <kiesiu@pld-linux.org> ecc7670
- updated to 3.12.1

* Wed Apr 02 2014 Marcin Banasiak <marcin.banasiak@gmail.com> c147707
- Update to 3.12.0

* Tue Oct 01 2013 Artur Frysiak <artur@frysiak.net> 953bc39
- Up to 3.10

* Fri May 17 2013 Łukasz Kieś <kiesiu@pld-linux.org> c5721e9
- updated to 3.8.2

* Tue Apr 23 2013 Marcin Banasiak <marcin.banasiak@gmail.com> ae9f61a
- Update to 3.8.0

